hscolour-1.24.1: Colourise Haskell code.

Safe Haskell | Safe
Language | Haskell98

Language.Haskell.HsColour.Options

Synopsis

- data Option
  - = Help
  - | Version
  - | Information
  - | Format Output
  - | LHS Bool
  - | Anchors Bool
  - | Partial Bool
  - | Input FilePath
  - | Output FilePath
  - | Annot FilePath
- data Output
  - = TTY
  - | TTYg TerminalType
  - | LaTeX
  - | HTML
  - | CSS
  - | ACSS
  - | ICSS
  - | MIRC
- data TerminalType
  - = Ansi16Colour
  - | XTerm256Compatible

# Documentation

data Option #

Command-line options

Constructors

Help | print usage message
Version | report version
Information | report auxiliary information, e.g. CSS defaults
Format Output | what type of output to produce
LHS Bool | literate input (i.e. multiple embedded fragments)
Anchors Bool | whether to add anchors
Partial Bool | whether to produce a full document or partial
Input FilePath | input source file
Output FilePath | output source file
Annot FilePath | annotations file

Instances

Eq Option # |
Methods (==) :: Option -> Option -> Bool # (/=) :: Option -> Option -> Bool #

data Output #

The supported output formats.

Constructors

TTY | ANSI terminal codes. Equivalent to `TTYg` `Ansi16Colour` but left in for backwards compatibility.
TTYg TerminalType | Terminal codes appropriate for the `TerminalType`.
LaTeX | TeX macros
HTML | HTML with font tags
CSS | HTML with CSS.
ACSS | HTML with CSS and mouseover types.
ICSS | HTML with inline CSS.
MIRC | mIRC chat clients

Instances

Eq Output # |
Methods (==) :: Output -> Output -> Bool # (/=) :: Output -> Output -> Bool #
Show Output # |
Methods showsPrec :: Int -> Output -> ShowS # show :: Output -> String # showList :: [Output] -> ShowS #

data TerminalType #

Constructors

Ansi16Colour | `\033[Xm`-style escape sequences (with X =~ [34][0-7])
XTerm256Compatible | `Ansi16Colour`, and also `\033[Y8;5;Zm]`-style escape sequences (with Y =~ [3,4] and Z an integer in [0,255] with the XTerm colour cube semantics).

Instances

Eq TerminalType # |
Methods (==) :: TerminalType -> TerminalType -> Bool # (/=) :: TerminalType -> TerminalType -> Bool #
Ord TerminalType # |
Methods compare :: TerminalType -> TerminalType -> Ordering # (<) :: TerminalType -> TerminalType -> Bool # (<=) :: TerminalType -> TerminalType -> Bool # (>) :: TerminalType -> TerminalType -> Bool # (>=) :: TerminalType -> TerminalType -> Bool # max :: TerminalType -> TerminalType -> TerminalType # min :: TerminalType -> TerminalType -> TerminalType #
Show TerminalType # |
Methods showsPrec :: Int -> TerminalType -> ShowS # show :: TerminalType -> String # showList :: [TerminalType] -> ShowS #